# -*- coding: utf-8 -*-

# Copyright 2023, extragroup GmbH, Pottkamp 19, 48149 Münster, Germany
# All rights reserved
#
# All information contained herein is, and remains the property of
# extragroup GmbH and its suppliers, if any. The intellectual and
# technical concepts contained herein are proprietary to extragroup GmbH
# and its suppliers and are protected by trade secret or copyright law.
# Dissemination of this information or reproduction of this material is
# strictly forbidden unless prior written permission is obtained from
# extragroup GmbH


# Currently we use no Feature Code in Python code


try:
    # The module _featureactivation exists from Epic ID-427 (interiorcad 2023 F5.0) on
    import _featureactivation

    def isFeatureActive(featureCode: str) -> bool:
        return _featureactivation.isFeatureActive(featureCode)

except ImportError:

    def isFeatureActive(_featureCode: str) -> bool:
        return False
