# -*- coding: utf-8 -*-

# Copyright 2011-2020, extragroup GmbH, Pottkamp 19, 48149 Münster, Germany
# All rights reserved
#
# All information contained herein is, and remains the property of
# extragroup GmbH and its suppliers, if any. The intellectual and
# technical concepts contained herein are proprietary to extragroup GmbH
# and its suppliers and are protected by trade secret or copyright law.
# Dissemination of this information or reproduction of this material is
# strictly forbidden unless prior written permission is obtained from
# extragroup GmbH


INTERIORCAD_MACHINE_EXPORT_SETTINGS_XML = r"""<?xml version="1.0" ?>
<interiorcad-export force-show-cuttinglist-settings-dialog="0" force-show-settings-dialog="0" major-version="2014" minor-version="3">

    <nc-output>
      <separate-sizing>0</separate-sizing>
      <rectangular-part-sizing>0</rectangular-part-sizing>
      <target>Xilog (Morbidelli machines)</target>
      <export-folder-path>{DocumentDir}/ncexport</export-folder-path>
      <minimum-segment-length>51</minimum-segment-length>
    </nc-output>

    <common>
      <jointing>
        <enabled>0</enabled>
        <minimum>2.000000</minimum>
        <maximum>5.000000</maximum>
      </jointing>
    </common>

    <cutting-output>
      <cut-size-addition>10.000000</cut-size-addition>
      <export-folder-path>{DocumentDir}/cuttinglistexport</export-folder-path>
      <target>Spreadsheet (File)</target>
      <sizing>nc-compatible</sizing>
      <additional-covering-addition>5.5</additional-covering-addition>
    </cutting-output>
</interiorcad-export>"""
