# -*- coding: utf-8 -*-

# Copyright 2011-2021, extragroup GmbH, Pottkamp 19, 48149 Münster, Germany
# All rights reserved
#
# All information contained herein is, and remains the property of
# extragroup GmbH and its suppliers, if any. The intellectual and
# technical concepts contained herein are proprietary to extragroup GmbH
# and its suppliers and are protected by trade secret or copyright law.
# Dissemination of this information or reproduction of this material is
# strictly forbidden unless prior written permission is obtained from
# extragroup GmbH

from interiorcad.backend.workpiece.linemachining import LineMachining


class Chamfer(LineMachining):
    def __init__(self, uuid=''):
        super().__init__(uuid)
        self.angle = 0.0

    def __str__(self):
        result = ' '.join((
            'Chamfer:',
            super().__str__() + ';',
            'angle({:.{}f})'.format(self.angle, 2),
        ))
        return result

    def getAngle(self):
        return self.angle
