# -*- coding: utf-8 -*-

# Copyright 2015, extragroup GmbH, Pottkamp 19, 48149 Münster, Germany
# All rights reserved
#
# All information contained herein is, and remains the property of
# extragroup GmbH and its suppliers, if any. The intellectual and
# technical concepts contained herein are proprietary to extragroup GmbH
# and its suppliers and are protected by trade secret or copyright law.
# Dissemination of this information or reproduction of this material is
# strictly forbidden unless prior written permission is obtained from
# extragroup GmbH


class WorkpieceFilters:
    def __init__(self, *args):
        self.workpieceFilters = list(args)

    def append(self, workpieceFilter):
        self.workpieceFilters.append(workpieceFilter)

    def filterWorkpieces(self, workpieces):
        filteredWorkpieces = workpieces
        for workpieceFilter in self.workpieceFilters:
            filteredWorkpieces = filter(workpieceFilter.filterWorkpiece, filteredWorkpieces)
        return filteredWorkpieces
