# -*- coding: utf-8 -*-

# Copyright 2011-2016, extragroup GmbH, Pottkamp 19, 48149 Münster, Germany
# All rights reserved
#
# All information contained herein is, and remains the property of
# extragroup GmbH and its suppliers, if any. The intellectual and
# technical concepts contained herein are proprietary to extragroup GmbH
# and its suppliers and are protected by trade secret or copyright law.
# Dissemination of this information or reproduction of this material is
# strictly forbidden unless prior written permission is obtained from
# extragroup GmbH


MOCK_MACHINE_CONFIGURATION_WITH_TOOL_DATABASE_XML = r"""<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<interiorcad-export>
    <machine-configuration>
        <keyvaluepair key="winxiso" value=""/>
        <keyvaluepair key="tool-configuration-file" value="def"/>

        <keyvaluepair key="nc-hops-version" value="6"/>
        <keyvaluepair key="machine" value="NC1000"/>
        <keyvaluepair key="wzgv" value="NC1000"/>

        <keyvaluepair key="imawop-version" value="70"/>

        <keyvaluepair key="true" value="1"/>
        <keyvaluepair key="false" value="0"/>
    </machine-configuration>
    <tool-database>
        <tool name="drill-vertical" active="1">
            <type type="Drill" />
            <face face="Vertical" />
        </tool>
        <tool name="drill-horizontal" active="1">
            <type type="Drill" />
            <face face="Horizontal" />
        </tool>
        <tool name="drill-five-axis" active="1">
            <type type="Drill" />
            <face face="5Axis" />
        </tool>
        <tool name="saw" active="1">
            <type type="Saw" />
        </tool>
        <tool name="router" active="1">
            <type type="Router" />
        </tool>
    </tool-database>
</interiorcad-export>
"""


MOCK_EMPTY_MACHINE_CONFIGURATION_XML = r"""<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<interiorcad-export>
    <machine-configuration>
    </machine-configuration>
</interiorcad-export>
"""
