# -*- coding: utf-8 -*-

# Copyright 2011-2016, extragroup GmbH, Pottkamp 19, 48149 Münster, Germany
# All rights reserved
#
# All information contained herein is, and remains the property of
# extragroup GmbH and its suppliers, if any. The intellectual and
# technical concepts contained herein are proprietary to extragroup GmbH
# and its suppliers and are protected by trade secret or copyright law.
# Dissemination of this information or reproduction of this material is
# strictly forbidden unless prior written permission is obtained from
# extragroup GmbH


class HorizontalDrillingsAndCenterPunchesCreator:
    def __init__(self, export):
        self.export = export

    def createRotated(self, **keywords):
        return self.export.createOneDrillingOrCenterPunch(self.export.createRotatedHorizontalDrilling, self.export.createRotatedHorizontalCenterPunch, **keywords)

    def createFromLeft(self, **keywords):
        return self.export.createOneDrillingOrCenterPunch(self.export.createHorizontalDrillingFromLeft, self.export.createHorizontalCenterPunchFromLeft, **keywords)

    def createFromRight(self, **keywords):
        return self.export.createOneDrillingOrCenterPunch(self.export.createHorizontalDrillingFromRight, self.export.createHorizontalCenterPunchFromRight, **keywords)

    def createFromFront(self, **keywords):
        return self.export.createOneDrillingOrCenterPunch(self.export.createHorizontalDrillingFromFront, self.export.createHorizontalCenterPunchFromFront, **keywords)

    def createFromBack(self, **keywords):
        return self.export.createOneDrillingOrCenterPunch(self.export.createHorizontalDrillingFromBack, self.export.createHorizontalCenterPunchFromBack, **keywords)
