# -*- coding: utf-8 -*-

# Copyright 2011-2018, extragroup GmbH, Pottkamp 19, 48149 Münster, Germany
# All rights reserved
#
# All information contained herein is, and remains the property of
# extragroup GmbH and its suppliers, if any. The intellectual and
# technical concepts contained herein are proprietary to extragroup GmbH
# and its suppliers and are protected by trade secret or copyright law.
# Dissemination of this information or reproduction of this material is
# strictly forbidden unless prior written permission is obtained from
# extragroup GmbH

from interiorcad.interface.surface.linemachiningorienter import LineMachiningOrienter


class MiterOrienter(LineMachiningOrienter):
    def getMiterOrientedToCW(self, miter2D):
        miter2D.segment = miter2D.getSegmentOfMachining(self.finalFinishedSizeShape, 0)
        if self.hasSegment(miter2D):
            self.orientToCW(miter2D)
        return miter2D

    def getMiterOrientedToCCW(self, miter2D):
        miter2D.segment = miter2D.getSegmentOfMachining(self.finalFinishedSizeShape, 0)
        if self.hasSegment(miter2D):
            self.orientToCCW(miter2D)
        return miter2D
