# -*- coding: utf-8 -*-

# Copyright 2011-2022, extragroup GmbH, Pottkamp 19, 48149 Münster, Germany
# All rights reserved
#
# All information contained herein is, and remains the property of
# extragroup GmbH and its suppliers, if any. The intellectual and
# technical concepts contained herein are proprietary to extragroup GmbH
# and its suppliers and are protected by trade secret or copyright law.
# Dissemination of this information or reproduction of this material is
# strictly forbidden unless prior written permission is obtained from
# extragroup GmbH

ITEMTYPE_CUSTOMPART = 'XG Custom Part'

ITEMTYPE_DRILLING = 'XG CPDrilling'
ITEMTYPE_DADORABBET = 'XG CPDado'
ITEMTYPE_MITER = 'XG CPMiter'
ITEMTYPE_CONTOUR = 'XG CPContour'
ITEMTYPE_CHAMFER = "XG CPChamfer"
ITEMTYPE_CENTERPUNCH = 'XG CPCenterPunch'
ITEMTYPE_NCMACRO = 'XG CPNCMacro'
ITEMTYPE_GRIDDRILLING = 'XG Grid Drilling'  # New type in interiorcad 2022 F1
ITEMTYPE_PROFILE = "XG Profile3D"
ITEMTYPE_NULL_MACHINING = "XG CPNullMachining"

MACHINING_TYPES = (
    ITEMTYPE_DRILLING,
    ITEMTYPE_DADORABBET,
    ITEMTYPE_MITER,
    ITEMTYPE_CONTOUR,
    ITEMTYPE_CHAMFER,
    ITEMTYPE_CENTERPUNCH,
    ITEMTYPE_NCMACRO,
    ITEMTYPE_GRIDDRILLING,
    ITEMTYPE_PROFILE,
    ITEMTYPE_NULL_MACHINING  # Keep this entry last
)


ITEMTYPE_CABINET = 'XG Cabinet'
ITEMTYPE_WOODENDRAWER = 'XG Wooden Drawer'
ITEMTYPE_SYSTEMDRAWER = 'XG Drawer'
ITEMTYPE_PLINTH3D = 'XG Plinth'

PIO_CONTAINER_TYPES = (
    ITEMTYPE_CABINET,
    ITEMTYPE_WOODENDRAWER,
    ITEMTYPE_SYSTEMDRAWER,
    ITEMTYPE_PLINTH3D,
)

# See dev\SharedWithClassic\SalesRecordDatatrackerType.h
ITEMTYPE_BOUGHTIN = 'XG Bought In'
ITEMTYPE_BOXOBJECT = 'XG Box Object'
ITEMTYPE_CONNECTOR_HOUSING = "XG Connector Housing"
ITEMTYPE_CONNECTOR_BOLT = "XG Connector Bolt"
ITEMTYPE_HANDLE = 'XG Handle'
ITEMTYPE_HINGE = 'XG Hinge'
ITEMTYPE_LEG = 'XG Leg'
ITEMTYPE_LEG_MONTING_PLATE = 'XG Leg Mounting Plate'
ITEMTYPE_SCREW = 'XG Screw'
ITEMTYPE_SPECIAL_CONNECTOR = 'XG Invis'
ITEMTYPE_SLIDER = 'XG Slider'
ITEMTYPE_UNDERFLOOR_SLIDER = 'XG Underfloor Slider'
ITEMTYPE_WOODEN_PIN = 'XG Wooden Pin'
