# -*- coding: utf-8 -*-

# Copyright 2015-2016, extragroup GmbH, Pottkamp 19, 48149 Münster, Germany
# All rights reserved
#
# All information contained herein is, and remains the property of
# extragroup GmbH and its suppliers, if any. The intellectual and
# technical concepts contained herein are proprietary to extragroup GmbH
# and its suppliers and are protected by trade secret or copyright law.
# Dissemination of this information or reproduction of this material is
# strictly forbidden unless prior written permission is obtained from
# extragroup GmbH


class JointingInfo:
    jointing = False
    minJoint = 0
    maxJoint = 10

    @staticmethod
    def createFromConfiguration(configuration):
        info = JointingInfo()
        info.jointing = configuration.jointing
        info.minJoint = configuration.minJoint
        info.maxJoint = configuration.maxJoint
        return info
