# -*- coding: utf-8 -*-

# Copyright 2011-2015, extragroup GmbH, Pottkamp 19, 48149 Münster, Germany
# All rights reserved
#
# All information contained herein is, and remains the property of
# extragroup GmbH and its suppliers, if any. The intellectual and
# technical concepts contained herein are proprietary to extragroup GmbH
# and its suppliers and are protected by trade secret or copyright law.
# Dissemination of this information or reproduction of this material is
# strictly forbidden unless prior written permission is obtained from
# extragroup GmbH

import os.path


class MockSystemDirectories:
    def __init__(self):
        self.generalError = None
        homeDir = os.path.join(os.path.expanduser("~"), "icPythonMockDirs")
        desktopDir = os.path.join(homeDir, "Desktop")
        documentDir = os.path.join(homeDir, "Documents")
        tempDir = os.path.join(homeDir, "Temp")
        self.directories = {"DesktopDir": desktopDir, "HomeDir": homeDir,
                            "DocumentDir": documentDir, "TempDir": tempDir}

    def getSystemDirectories(self):
        return self.directories


mocksystemdirectories = MockSystemDirectories()


def getSystemDirectories():
    return mocksystemdirectories.getSystemDirectories()
