# -*- coding: utf-8 -*-

# Copyright 2011-2015, extragroup GmbH, Pottkamp 19, 48149 Münster, Germany
# All rights reserved
#
# All information contained herein is, and remains the property of
# extragroup GmbH and its suppliers, if any. The intellectual and
# technical concepts contained herein are proprietary to extragroup GmbH
# and its suppliers and are protected by trade secret or copyright law.
# Dissemination of this information or reproduction of this material is
# strictly forbidden unless prior written permission is obtained from
# extragroup GmbH


import os.path

__fileDirname = os.path.dirname(os.path.abspath(__file__))

pythonRoot = os.path.realpath(os.path.join(__fileDirname, "..", ".."))

interiorcadPackage = os.path.join(pythonRoot, "interiorcad")
if not os.path.isdir(interiorcadPackage):
    pythonRoot = os.path.realpath(os.path.join(pythonRoot, ".."))
    interiorcadPackage = os.path.join(pythonRoot, "interiorcad.zip")

assert os.path.exists(interiorcadPackage), "Cannot find interiorcad package"

thirdParty = os.path.join(pythonRoot, "thirdparty")
mockDocuments = os.path.join(pythonRoot, "tests", "mockdocuments")
