# -*- coding: utf-8 -*-

# Copyright 2011-2019, extragroup GmbH, Pottkamp 19, 48149 Münster, Germany
# All rights reserved
#
# All information contained herein is, and remains the property of
# extragroup GmbH and its suppliers, if any. The intellectual and
# technical concepts contained herein are proprietary to extragroup GmbH
# and its suppliers and are protected by trade secret or copyright law.
# Dissemination of this information or reproduction of this material is
# strictly forbidden unless prior written permission is obtained from
# extragroup GmbH

import unittest

from interiorcad.backend.workpiece.machining import Machining


class NCMacro(Machining):
    def __init__(self, uuid=''):
        super().__init__(uuid)
        self.code = None


class Tests(unittest.TestCase):
    def setUp(self):
        self.ncmacro = NCMacro()

    def testDefaultHasEmptyUUID(self):
        self.assertEqual('', self.ncmacro.uuid)

    def testDefaultHasNoCode(self):
        self.assertIsNone(self.ncmacro.code)
