# -*- coding: utf-8 -*-

# Copyright 2011-2021, extragroup GmbH, Pottkamp 19, 48149 Münster, Germany
# All rights reserved
#
# All information contained herein is, and remains the property of
# extragroup GmbH and its suppliers, if any. The intellectual and
# technical concepts contained herein are proprietary to extragroup GmbH
# and its suppliers and are protected by trade secret or copyright law.
# Dissemination of this information or reproduction of this material is
# strictly forbidden unless prior written permission is obtained from
# extragroup GmbH


INTERIORCAD_EXPORT = "interiorcad-export"
XPATH_SEPARATOR = "/"

COMMON = "common"
COMMON_JOINTING = XPATH_SEPARATOR.join((COMMON, "jointing", "enabled"))
COMMON_JOINTING_MIN = XPATH_SEPARATOR.join((COMMON, "jointing", "minimum"))
COMMON_JOINTING_MAX = XPATH_SEPARATOR.join((COMMON, "jointing", "maximum"))
COMMON_LOG_FILENAME = XPATH_SEPARATOR.join((COMMON, "log-file-name"))
COMMON_CONSTRUCTION_GROUP = XPATH_SEPARATOR.join((COMMON, "construction-group"))
COMMON_SET_NAME = XPATH_SEPARATOR.join((COMMON, "favorite-name"))

NC_OUTPUT = "nc-output"
NC_OUTPUT_OUTPUT_TARGET = XPATH_SEPARATOR.join((NC_OUTPUT, "target"))
NC_OUTPUT_SEPARATE_SIZING = XPATH_SEPARATOR.join((NC_OUTPUT, "separate-sizing"))
NC_OUTPUT_RECT_PART_SIZING = XPATH_SEPARATOR.join((NC_OUTPUT, "rectangular-part-sizing"))
NC_OUTPUT_COORDINATE_PRECISION = XPATH_SEPARATOR.join((NC_OUTPUT, "coordinate-precision"))
NC_OUTPUT_ANGULAR_PRECISION = XPATH_SEPARATOR.join((NC_OUTPUT, "angular-precision"))
NC_OUTPUT_SIGNIFICANT_DECIMALS_ONLY = XPATH_SEPARATOR.join((NC_OUTPUT, "significant-decimals-only"))
NC_OUTPUT_EXPORT_FOLDER_PATH = XPATH_SEPARATOR.join((NC_OUTPUT, "export-folder-path"))
NC_OUTPUT_CUSTOM_EXPORT_FOLDER_PATH = XPATH_SEPARATOR.join((NC_OUTPUT, "export-sub-path"))
NC_OUTPUT_MINIMUM_SEGMENT_LENGTH = XPATH_SEPARATOR.join((NC_OUTPUT, "minimum-segment-length"))

CUTTING_OUTPUT = "cutting-output"
CUTTING_OUTPUT_TARGET = XPATH_SEPARATOR.join((CUTTING_OUTPUT, "target"))
CUTTING_OUTPUT_CUT_SIZE_ADDITION = XPATH_SEPARATOR.join((CUTTING_OUTPUT, "cut-size-addition"))
CUTTING_OUTPUT_SIZING = XPATH_SEPARATOR.join((CUTTING_OUTPUT, "sizing"))
CUTTING_OUTPUT_ADDITIONAL_COVERING_ADDITION = XPATH_SEPARATOR.join((CUTTING_OUTPUT, "additional-covering-addition"))
CUTTING_OUTPUT_COORDINATE_PRECISION = XPATH_SEPARATOR.join((CUTTING_OUTPUT, "coordinate-precision"))
CUTTING_OUTPUT_ANGULAR_PRECISION = XPATH_SEPARATOR.join((CUTTING_OUTPUT, "angular-precision"))
CUTTING_OUTPUT_SIGNIFICANT_DECIMALS_ONLY = XPATH_SEPARATOR.join((CUTTING_OUTPUT, "significant-decimals-only"))
CUTTING_OUTPUT_EXPORT_FOLDER_PATH = XPATH_SEPARATOR.join((CUTTING_OUTPUT, "export-folder-path"))
CUTTING_OUTPUT_CUSTOM_EXPORT_FOLDER_PATH = XPATH_SEPARATOR.join((CUTTING_OUTPUT, "export-sub-path"))
