# -*- coding: utf-8 -*-

# Copyright 2011-2022, extragroup GmbH, Pottkamp 19, 48149 Münster, Germany
# All rights reserved
#
# All information contained herein is, and remains the property of
# extragroup GmbH and its suppliers, if any. The intellectual and
# technical concepts contained herein are proprietary to extragroup GmbH
# and its suppliers and are protected by trade secret or copyright law.
# Dissemination of this information or reproduction of this material is
# strictly forbidden unless prior written permission is obtained from
# extragroup GmbH

MITER_PRE_SAW_DEPTH_FROM_TOP_KEY = "miter-pre-saw-depth-from-top"
MITER_SAW_DEPTH_FROM_BOTTOM_KEY = "miter-saw-depth-from-bottom"
CREATE_NC_STOP_FOR_CONTOURS_KEY = "create-nc-stop-for-contours"
SIZING_CONTOUR_TOOL_IS_RIGHT_HAND_KEY = 'sizing-contour-tool-is-right-hand'

VERTICAL_DRILLING_Z_REFERENCE_KEY = 'vertical-drilling-z-reference'
HORIZONTAL_DRILLING_Z_REFERENCE_KEY = 'horizontal-drilling-z-reference'
FIVE_AXIS_DRILLING_Z_REFERENCE_KEY = 'five-axis-drilling-z-reference'
VERTICAL_POCKET_Z_REFERENCE_KEY = 'vertical-pocket-z-reference'
MILLING_Z_REFERENCE_KEY = 'milling-z-reference'
DADO_SAW_Z_REFERENCE_KEY = 'dado-saw-z-reference'
MITER_SAW_Z_REFERENCE_KEY = 'miter-saw-z-reference'
MITER_PRE_SAW_Z_REFERENCE_KEY = 'miter-pre-saw-z-reference'
ADDITIONAL_DEPTH_FOR_MITER_KEY = 'additional-depth-for-miter'
DEFAULT_CENTER_PUNCH_DEPTH_KEY = 'default-center-punch-depth'

SECURITY_DISTANCE_FOR_DADO_SAW_KEY = 'security-distance-for-dado-saw'

EXPORT_VERTICAL_DRILLINGS_KEY = 'export-vertical-drillings'
EXPORT_HORIZONTAL_DRILLINGS_KEY = 'export-horizontal-drillings'
EXPORT_FIVE_AXIS_DRILLINGS_KEY = 'export-five-axis-drillings'
EXPORT_VERTICAL_RABBETS_KEY = 'export-vertical-rabbets'
EXPORT_VERTICAL_DADOS_KEY = 'export-vertical-dados'
EXPORT_HORIZONTAL_DADOS_KEY = 'export-horizontal-dados'
EXPORT_VERTICAL_CONTOURS_KEY = 'export-vertical-contours'
EXPORT_HORIZONTAL_CONTOURS_KEY = 'export-horizontal-contours'
EXPORT_MITERS_KEY = 'export-miters'
EXPORT_SIZINGS_KEY = 'export-sizings'
EXPORT_VERTICAL_NC_MACROS_KEY = 'export-nc-macros'  # Old name retained for compatibility
EXPORT_HORIZONTAL_NC_MACROS_KEY = 'export-horizontal-nc-macros'
EXPORT_FIVE_AXIS_NC_MACROS_KEY = 'export-five-axis-nc-macros'


ALL_EXPORT_KEYS = (
    EXPORT_VERTICAL_DRILLINGS_KEY,
    EXPORT_HORIZONTAL_DRILLINGS_KEY,
    EXPORT_FIVE_AXIS_DRILLINGS_KEY,
    EXPORT_VERTICAL_RABBETS_KEY,
    EXPORT_VERTICAL_DADOS_KEY,
    EXPORT_HORIZONTAL_DADOS_KEY,
    EXPORT_VERTICAL_CONTOURS_KEY,
    EXPORT_HORIZONTAL_CONTOURS_KEY,
    EXPORT_MITERS_KEY,
    EXPORT_SIZINGS_KEY,
    EXPORT_VERTICAL_NC_MACROS_KEY,
    EXPORT_HORIZONTAL_NC_MACROS_KEY,
    EXPORT_FIVE_AXIS_NC_MACROS_KEY,
)


PIERCING_DRILLING_ADDITION_KEY = 'piercing-drilling-addition'
PIERCING_POCKET_ADDITION_KEY = 'piercing-pocket-addition'
VERTICAL_POCKET_PIERCING_CLEAR_UP_TO_DIAMETER_KEY = 'vertical-pocket-piercing-clear-up-to-diameter'
ALLOW_SMALL_VERTICAL_DRILLINGS_WITHOUT_TOOL_ID_KEY = 'allow-small-vertical-drillings-without-tool-id'
SIZING_DEPTH_ADJUSTMENT_KEY = 'sizing-depth-adjustment'
CREATE_SIZING_WITH_MACRO_KEY = 'create-sizing-with-macro'

FILE_NAME_POSTFIX_SIZING_KEY = 'file-name-postfix-sizing'
FILE_NAME_POSTFIX_MAIN_KEY = 'file-name-postfix-main'
FILE_NAME_POSTFIX_OPPOSITE_KEY = 'file-name-postfix-opposite'
OUTPUT_FILE_NAME_KEY = 'output-file-name'
USE_DOS_FILENAMES_KEY = 'use_dos_filenames'

ALLOW_VERTICAL_PIERCING_DRILLINGS_TO_CHANGE_SIDES_KEY = 'allow-vertical-piercing-drillings-to-change-sides'

GRID_DRILLING_X_DISTANCE_KEY = 'grid-drilling-x-distance'
GRID_DRILLING_X_MINIMUM_NUMBER_OF_DRILLINGS_KEY = 'grid-drilling-x-minimum-number-of-drillings'

GRID_DRILLING_Y_DISTANCE_KEY = 'grid-drilling-y-distance'
GRID_DRILLING_Y_MINIMUM_NUMBER_OF_DRILLINGS_KEY = 'grid-drilling-y-minimum-number-of-drillings'

MACHINING_CONFIGURATION_KEY = 'machining-configuration'
DRILLING_ORDERINGS_KEY = 'drilling-orderings'

SIZING_ENTRY_OF_PROFILE_KEY = 'sizing-entry-of-profile'
