# -*- coding: utf-8 -*-

# Copyright 2011-2017, extragroup GmbH, Pottkamp 19, 48149 Münster, Germany
# All rights reserved
#
# All information contained herein is, and remains the property of
# extragroup GmbH and its suppliers, if any. The intellectual and
# technical concepts contained herein are proprietary to extragroup GmbH
# and its suppliers and are protected by trade secret or copyright law.
# Dissemination of this information or reproduction of this material is
# strictly forbidden unless prior written permission is obtained from
# extragroup GmbH

import os.path

import interiorcad.backend.datatracker.datatracker


class ProgramNamesHandler:
    def __init__(self, uuid):
        self.uuid = uuid
        self.sizing = ""
        self.main = ""
        self.opposite = ""
        self.exportName = ""

    def setNCProgramNameSizing(self, name):
        self.sizing = os.path.abspath(name)

    def setNCProgramNameMain(self, name):
        self.main = os.path.abspath(name)

    def setNCProgramNameOpposite(self, name):
        self.opposite = os.path.abspath(name)

    def setNCExportName(self, name):
        self.exportname = name

    def write(self):
        interiorcad.backend.datatracker.datatracker.setNCProgramNames(self.uuid, self.exportname, self.sizing, self.main, self.opposite)
